<?xml version="1.0" encoding="utf-8"?>
<resources>
    <attr name="title_text_color" format="reference" />
    <attr name="title_bg_color" format="reference" />
    <attr name="menu_text_color" format="reference" />
    <attr name="menu_text_size" format="dimension" />
    <declare-styleable name="check_mark_view">
        <attr name="total_duration" format="integer" />
        <attr name="stroke_color" format="color" />
    </declare-styleable>

    <declare-styleable name="ProgressWheel">
        <attr name="matProg_progressIndeterminate" format="boolean" />
        <attr name="matProg_barColor" format="color" />
        <attr name="matProg_rimColor" format="color" />
        <attr name="matProg_rimWidth" format="dimension" />
        <attr name="matProg_spinSpeed" format="float" />
        <attr name="matProg_barSpinCycleTime" format="integer" />
        <attr name="matProg_circleRadius" format="dimension" />
        <attr name="matProg_fillRadius" format="boolean" />
        <attr name="matProg_barWidth" format="dimension" />
        <attr name="matProg_linearProgress" format="boolean" />
    </declare-styleable>
    <declare-styleable name="CircleImageView">
        <attr name="civ_border_width" format="dimension" />
        <attr name="civ_border_color" format="color" />
        <attr name="civ_border_overlay" format="boolean" />
        <attr name="civ_outerborder_width" format="dimension" />
        <attr name="civ_outerborder_color" format="color" />
        <attr name="civ_outerborder_overlay" format="boolean" />
        <!-- {@deprecated Use civ_circlebackground_color instead.} -->
        <attr name="civ_fill_color" format="color" />
        <attr name="civ_circle_background_color" format="color" />
    </declare-styleable>
    <declare-styleable name="TagCloudLayout">
        <attr name="mLineSpacing" format="dimension" />
        <attr name="mTagSpacing" format="dimension" />
    </declare-styleable>
    <declare-styleable name="RCRelativeLayout">
        <!--圆形-->
        <attr name="round_as_circle" format="boolean" />
        <!--全部圆角半径-->
        <attr name="round_corner" format="integer|dimension" />
        <!--针对各个角的半径-->
        <attr name="round_corner_top_left" format="integer|dimension" />
        <attr name="round_corner_top_right" format="integer|dimension" />
        <attr name="round_corner_bottom_left" format="integer|dimension" />
        <attr name="round_corner_bottom_right" format="integer|dimension" />

        <!--描边颜色／半径-->
        <attr name="rcr_stroke_color" format="color|reference" />
        <attr name="rcr_stroke_width" format="integer|dimension" />
    </declare-styleable>
    <!-- 标题模板自定义属性 -->
    <declare-styleable name="TemplateTitle">
        <!-- 标题文案 -->
        <attr name="titleText" format="string" />
        <!-- 是否有back按钮 -->
        <attr name="canBack" format="boolean" />
        <!-- back按钮文案 -->
        <attr name="backText" format="string" />
        <!-- 右侧更多功能按钮图片 -->
        <attr name="moreImg" format="reference" />
        <!-- 右侧更多功能按钮文字 -->
        <attr name="moreText" format="string" />
        <attr name="imgBack" format="reference" />
        <attr name="moreTextColor" format="reference" />
    </declare-styleable>
    <declare-styleable name="ShapeImageView">
        <attr name="shape" format="enum">
            <enum name="rect" value="1" />
            <enum name="circle" value="2" />
            <enum name="oval" value="3" />
        </attr>
        <attr name="round_radius" format="dimension" />
        <attr name="border_size" format="dimension" />
        <attr name="border_color" format="color" />
    </declare-styleable>
    <declare-styleable name="QuickIndexBar">
        <attr name="index_padding" format="dimension" />
        <attr name="index_text_size" format="dimension" />
    </declare-styleable>
    <attr name="duration_max" format="integer" />
    <attr name="iconLeft" format="reference" />
    <attr name="iconMargin" format="dimension" />
    <attr name="iconRight" format="reference" />
    <attr name="iconSize" format="dimension" />
    <attr name="iconSrc" format="reference" />
    <declare-styleable name="JCameraView">
        <attr name="iconSize" />
        <attr name="iconMargin" />
        <attr name="iconSrc" />
        <attr name="iconLeft" />
        <attr name="iconRight" />
        <attr name="duration_max" />
    </declare-styleable>
    <declare-styleable name="CropImageView">
        <attr name="cropMaskColor" format="color" />
        <attr name="cropBorderColor" format="color" />
        <attr name="cropBorderWidth" format="dimension" />
        <attr name="cropFocusWidth" format="dimension" />
        <attr name="cropFocusHeight" format="dimension" />
        <attr name="cropStyle" format="enum">
            <enum name="rectangle" value="0" />
            <enum name="circle" value="1" />
        </attr>
    </declare-styleable>
</resources>